Article ID: 121945, created on Jun 8, 2014, last review on Jun 8, 2014

  • Applies to:
  • Plesk Automation 11.5

Symptoms

Installation of Parallels Plesk Automation (PPA) 11.5 micro-update #5 fails with error:

    [ERROR]: Unexpected error: 'PPAUpdater' object has no attribute '_checkRequiredMemory'
    Traceback (most recent call last):
      File "/usr/local/ppa/bin/ppa.update", line 185, in ?
        upd.run()
      File "/usr/local/ppa/bin/ppa.update", line 174, in run
        self._installUpdates()
      File "/usr/local/ppa/bin/ppa.update", line 131, in _installUpdates
        self._runPreCheck()
      File "/usr/local/ppa/bin/ppa.update", line 103, in _runPreCheck
        self._checkRequiredMemory()
    AttributeError: 'PPAUpdater' object has no attribute '_checkRequiredMemory'
    [ERROR]: See update log file /usr/local/ppa/log/ppaupdate.log for details.

Cause

The reason of mentioned error is non-actual version of ppacommon package.

Resolution

  1. Log in to Parallels Plesk Automation (PPA) Management node as root. Obtain appropriate ppacommon package for your operation system by the following link:

    http://autoinstall.plesk.com/PPA_11.5.0/thirdparty/
    
  2. Install the package by the following command:

    # rpm -Uhv ppacommon-11.5.0-102.noarch.rpm
    
  3. Re-initiate the update:

    # ppa.update --install-updates 
    

Search Words

PPAUpdater

PPA MU5

checkRequiredMemory

33a70544d00d562bbc5b17762c4ed2b3 e0aff7830fa22f92062ee4db78133079 caea8340e2d186a540518d08602aa065

Email subscription for changes to this article
Save as PDF